%bcond_without	bootstrap

%define major	3
%define libname %mklibname pci %{major}

Summary:	PCI bus related utilities
Name:		pciutils
Version:	3.9.0
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://mj.ucw.cz/pciutils.html
Source0:	http://mj.ucw.cz/download/linux/pci/%{name}-%{version}.tar.gz
Patch10:	    pciutils-3.9.0-pcimodules.patch
Patch11: 	pciutils-3.8.0-cardbus-only-when-root.patch
Patch12:		pciutils-3.9.0-extvisible.patch
# Fedora patches

# matching lib is always needed (mga #10661)
Provides:	%{libname} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{libname} < %{version}-%{release}
%if !%{with bootstrap}
Requires:	pciids
%endif
# needed to support modaliases so lspci -k gives correct output
BuildRequires:	pkgconfig(libkmod)

%description
This package contains various utilities for inspecting and setting
devices connected to the PCI bus. 

%package	devel
Summary:	Linux PCI development library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description	devel
This package contains a library for inspecting and setting
devices connected to the PCI bus.


%prep
%setup -q
%patch10 -p1
%patch11 -p0
%patch12 -p1

%build
%make_build SHARED="no" ZLIB="no" LIBKMOD=yes OPT="%{optflags} -fPIC" PREFIX=%{_prefix} DNS=no LDFLAGS="%{ldflags}" lib/libpci.a 
cp lib/libpci.a lib/libpci.a.libc
make clean

# do not build with zlib support since it's useless (only needed if we compress
# pci.ids which we cannot do since hal mmaps it for memory saving reason)
%make_build SHARED="yes" ZLIB="no" LIBKMOD=yes OPT="%{optflags} -fPIC" PREFIX=%{_prefix} LDFLAGS="%{ldflags}"

%install
install -d %{buildroot}{%{_bindir},%{_mandir}/man{7,8},%{_libdir}/pkgconfig,%{_includedir}/pci}

install pcimodules lspci setpci %{buildroot}%{_bindir}
install -m 644 pcimodules.man lspci.8 setpci.8 %{buildroot}%{_mandir}/man8
install -p -m 644 pcilib.7 $RPM_BUILD_ROOT%{_mandir}/man7
install -m 644 lib/libpci.a.libc %{buildroot}%{_libdir}/libpci.a
install lib/libpci.so.%{major}.* %{buildroot}%{_libdir}
ln -s libpci.so.3 %{buildroot}%{_libdir}/libpci.so

install -m 644 lib/{pci.h,header.h,config.h,types.h} %{buildroot}%{_includedir}/pci
install -m 755 update-pciids.sh %{buildroot}%{_bindir}/
install -m 644 lib/libpci.pc %{buildroot}%{_libdir}/pkgconfig/

%files
%{_mandir}/man8/*
%{_bindir}/lspci
%{_bindir}/pcimodules
%{_bindir}/setpci
%{_libdir}/*.so.%{major}*

%files devel
%{_bindir}/update-pciids.sh
%{_libdir}/*.a
%{_libdir}/*.so
%dir %{_includedir}/pci
%{_includedir}/pci/*.h
%{_mandir}/man7/*
%{_libdir}/pkgconfig/libpci.pc


%changelog
* Mon Jan 30 2023 tex - 3.9.0-2pclos2023
- fix gcc optimizing-out versioned symbols when -flto is used (gccbz#48200)

* Fri Dec 02 2022 tex - 3.9.0-1pclos2022
- new version

* Sat Nov 20 2021 yodelu 3.7.0-1pclos2021
- update

* Fri May 03 2013 Texstar <texstar at gmail.com> 3.1.7-2pclos2013
- add libpci.pc file

* Sat Apr 03 2010 johnny black <johnnyblack at inbox.com> 3.1.7-1pclos02010
- update for 2010 release
- trim specfile
